Send a commercial document by email

This endpoint allows you to send a commercial document by email to your customer.
This requires that the PDF file for that document has been generated
(this process can take a few minutes), so if you just created
the commercial document in our system, we may return a 409 error. You should
retry the request in a few minutes - if you receive a 204 response, that means
that the email is on its way.

The subject and body come from the company's default billing email template
for the customer's billing language, unless email_template_id is set.
A proforma uses the invoice template.
A shipping order or a purchasing order uses the quote template.

For more information about email sending, please
read [this guide](https://pennylane.readme.io/v2.0/docs/sending-documents-by-email).

ℹ️

This endpoint requires the following scope: commercial_documents:all

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
integer
required
Body Params
recipients
array of strings, unique

Email recipients.

If empty, the email will be sent to the recipient email addresses specified for the customer of this commercial document.

recipients
int64

Billing email template to use for this send.

It must belong to the company and match the template kind for this document
(billing_email_invoice for a proforma, billing_email_quote for a shipping order or a purchasing order).
Its locale does not have to match the customer's billing language.
Subject, body, cc and bcc then come from that template.

When omitted, the company's default template for the customer's billing language is used.
In that case only the subject and body are applied.

Headers
string

Numeric ID of the company to act on. Required when authenticating with a firm token. Ignored when the token is already bound to a company.

Responses
204

Commercial document is being sent by email

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json